Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1881359 - [4.5] csi-snapshot-controller-operator does not run on masters
Summary: [4.5] csi-snapshot-controller-operator does not run on masters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1871955
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-22 09:11 UTC by Raif Ahmed
Modified: 2020-10-12 15:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-12 15:48:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 52 0 None closed Bug 1881359: Run the controller on master nodes 2021-01-14 08:47:30 UTC
Red Hat Product Errata RHBA-2020:3843 0 None None None 2020-10-12 15:48:19 UTC

Description Raif Ahmed 2020-09-22 09:11:31 UTC
Description of problem:

The operator doesn't have a master toleration, so it cannot be scheduled on masters.

if users have tainted all the worker nodes then the operator is failing to be scheduled.

Other CO like monitoring operator have master toleration https://github.com/openshift/cluster-monitoring-operator/blob/b586835ac9669bed4cc030f66e3be31f6e6b3dd7/assets/prometheus-operator/deployment.yaml#L85-L88

Comment 1 Jan Safranek 2020-09-22 09:22:35 UTC
This is 4.5 clone of https://bugzilla.redhat.com/show_bug.cgi?id=1871955

Comment 3 Wei Duan 2020-09-27 07:57:56 UTC
Verified pass on 4.5.0-0.nightly-2020-09-26-194704.

With the fix of nodeSelector and tolerations, now the related pods are deployed on master.

Comment 6 errata-xmlrpc 2020-10-12 15:48:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3843


Note You need to log in before you can comment on or make changes to this bug.